Main Page Groups Namespaces

# sigc::internal::signal_exec Struct Reference

Exception safe sweeper for cleaning up invalid slots on the slot list. More...

List of all members.

## Public Member Functions
| signal_exec (const signal_impl* sig)
| Increments the reference and execution counter of the parent sigc::signal_impl object.
| ~signal_exec ()
| Decrements the reference and execution counter of the parent sigc::signal_impl object.
## Public Attributes
signal_impl* | sig_
| The parent sigc::signal_impl object.

## Detailed Description

Exception safe sweeper for cleaning up invalid slots on the slot list.

## Constructor& Destructor Documentation

sigc::internal::signal_exec::signal_exec | ( | const signal_impl* | sig | ) | `[inline]`

Increments the reference and execution counter of the parent sigc::signal_impl object.

Parameters:

  | sig | The parent sigc::signal_impl object.

sigc::internal::signal_exec::~signal_exec | ( |  | ) | `[inline]`

Decrements the reference and execution counter of the parent sigc::signal_impl object.

## Member Data Documentation

signal_impl* sigc::internal::signal_exec::sig_

The parent sigc::signal_impl object.

The documentation for this struct was generated from the following file:

- signal_base.h